/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 29/11/2022 : LBE : V2.6
 * DM-ID : Redmine#10481 : 29/11/2022 : Add hcs to carringtonMap
 * ----------------------------------------
 */
package fr.tlse.irap.map;

import fr.tlse.irap.fieldLine.*;
import java.util.ArrayList;
import java.util.List;

import jakarta.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class HCSLine {

	private List<Footpoint> points;

	public HCSLine() {
		points = new ArrayList<Footpoint>();
	}

	public HCSLine(List<Footpoint> pPoints) {
		this.points = pPoints;
	}

    /**
     * @return the points
     */
    public List<Footpoint> getPoints() {
        return points;
    }

    /**
     * @param points the points to set
     */
    public void setPoints(List<Footpoint> points) {
        this.points = points;
    }
}
